Summary:        Tempest plugin for Cinder project
Name:           python-cinder-tempest-plugin
Version:        1.8.1
Release:        4%{?dist}
License:        Apache-2.0
URL:            https://github.com/openstack/cinder-tempest-plugin
Source0:        https://github.com/openstack/cinder-tempest-plugin/archive/refs/tags/%{version}.tar.gz

BuildArch:      noarch

%description
This package contains additional Cinder tempest tests.


%package -n python3-cinder-tempest-plugin
Summary:        Tempest plugin for Cinder project
BuildRequires:  python3-devel python3-setuptools python3-pbr python3-pip python3-wheel
BuildRequires:  python3-oslo-config python3-oslo-serialization python3-six python3-tempest
Requires:       python3-oslo-config python3-oslo-serialization python3-pbr python3-six python3-tempest
Provides:       python-cinder-tempest-plugin

%description -n python3-cinder-tempest-plugin
This package contains additional Cinder tempest tests.


%prep
%autosetup -n cinder-tempest-plugin-%{version}


%build
export PBR_VERSION=%{version}
%py3_build


%install
export PBR_VERSION=%{version}
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
cp -arf doc %{buildroot}/%{_pkgdocdir}


%files -n python3-cinder-tempest-plugin
%{_docdir}/*
%{python3_sitelib}/cinder_tempest_plugin
%{python3_sitelib}/*.egg-info


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 18 2023 Miaojun Dong <zoedong@tencent.com> - 1.8.1-1
- initial build
